Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_read_otputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_read_otputkeys.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_read_otputkeys.F90	(revision 5158)
@@ -28,5 +28,5 @@
 
                 
-   do i=1,N_OUT_LIST
+   DO i=1,N_OUT_LIST
       cfg%out_list(i)=''
    enddo
@@ -130,5 +130,5 @@
 
 
-   do i=1,N_OUT_LIST
+   DO i=1,N_OUT_LIST
       cfg%out_list(i)=''
    enddo
@@ -269,5 +269,5 @@
              LprofSR,Lproftemp                                                                        !TIBO (2)
    
-  do i=1,N_OUT_LIST
+  DO i=1,N_OUT_LIST
     cfg%out_list(i)=''
   enddo
@@ -771,5 +771,5 @@
   IF (using_xios) THEN
     
-    do i=1,N_OUT_LIST
+    DO i=1,N_OUT_LIST
       cfg%out_list(i)=''
     enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90	(revision 5158)
@@ -311,5 +311,5 @@
       lidx = infind(D,dmin)
       uidx = infind(D,dmax)    
-      do k=lidx,uidx
+      DO k=lidx,uidx
  
         N(k) = ( &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90	(revision 5158)
@@ -52,5 +52,5 @@
 
   nprof = size(hgt_matrix,1)
-  do i=1,nprof
+  DO i=1,nprof
     call lin_interpolate(env_t_matrix(i,:),env_hgt_matrix(i,:), &
       t_matrix(i,:),hgt_matrix(i,:),1000._KR8)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90	(revision 5158)
@@ -126,5 +126,5 @@
   sumo = 0.
   aux1 = 1.1*e_th
-  do i=1,nbands_o2
+  DO i=1,nbands_o2
     aux2 = f/v0(i)
     aux3 = v0(i)-f
@@ -151,5 +151,5 @@
   sumo = 0.
   aux1 = 4.8*e_th
-  do i=1,nbands_h2o
+  DO i=1,nbands_h2o
     aux2 = f/v1(i)
     aux3 = v1(i)-f
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5158)
@@ -324,5 +324,5 @@
 ! altitude at half pressure levels:
       zheight(:,1) = 0.0
-      do k = 2, nlev+1
+      DO k = 2, nlev+1
         zheight(:,k) = zheight(:,k-1) &
                   -(presf(:,k)-presf(:,k-1))/(rhoair(:,k-1)*9.81)
@@ -341,5 +341,5 @@
 
 ! polynomes kp_lidar derived from Mie theory:
-      do i = 1, npart
+      DO i = 1, npart
        where ( rad_part(:,:,i).gt.0.0)
          kp_part(:,:,i) = &
@@ -361,5 +361,5 @@
 
 ! alpha of particles in each subcolumn:
-      do i = 1, npart
+      DO i = 1, npart
         where ( rad_part(:,:,i).gt.0.0)
           alpha_part(:,:,i) = 3.0/4.0 * Qscat &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5158)
@@ -49,5 +49,5 @@
       ga=1.0
       m1=x-1
-      do k=2,m1
+      DO k=2,m1
         ga=ga*k
       enddo
@@ -60,5 +60,5 @@
       m=int(z)
       r=1.0
-      do k=1,m
+      DO k=1,m
         r=r*(z-k)
       enddo
@@ -80,5 +80,5 @@
           -.206d-13, -.54d-14, .14d-14, .1d-15/
     gr=g(26)
-    do k=25,1,-1
+    DO k=25,1,-1
       gr=gr*z+g(k)
     enddo 
@@ -146,5 +146,5 @@
   else
      sumo = 0.
-     do j=i1,i2
+     DO j=i1,i2
        deltah = abs(s(i1+1)-s(i1))
        sumo = sumo + f(j)*deltah
@@ -268,5 +268,5 @@
   end if
  
-  do i = 2, ntab
+  DO i = 2, ntab
     if ( xtab(i) <= xtab(i-1) ) then
        lerror = .true.
@@ -311,5 +311,5 @@
   ihi = ntab
 
-  do i = 1, ntab
+  DO i = 1, ntab
     if ( a <= xtab(i) ) then
       exit
@@ -321,5 +321,5 @@
   ilo = min ( ilo, ntab - 1 )
 
-  do i = 1, ntab
+  DO i = 1, ntab
     if ( xtab(i) <= b ) then
       exit
@@ -335,5 +335,5 @@
   sum1 = 0.0D+00
  
-  do i = ilo, ihi
+  DO i = ilo, ihi
  
     x1 = xtab(i-1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5158)
@@ -68,5 +68,5 @@
   integer,dimension(2) :: ix,iy
   logical :: reff_zero
-  real :: maxp,minp
+  REAL :: maxp,minp
   integer,dimension(:),allocatable :: & ! Dimensions nPoints
                   seed    !  It is recommended that the seed is set to a different value for each model
@@ -95,5 +95,5 @@
 
 !++++++++++ Depth of model layers ++++++++++++
-  do i=1,Nlevels-1
+  DO i=1,Nlevels-1
     gbx%dlev(:,i) = gbx%zlev_half(:,i+1) - gbx%zlev_half(:,i)
   enddo
@@ -195,5 +195,5 @@
         Niter = gbx%Npoints/gbx%Npoints_it ! Integer division
         if (Niter*gbx%Npoints_it < gbx%Npoints) Niter = Niter + 1
-        do i=1,Niter
+        DO i=1,Niter
             i_first = (i-1)*gbx%Npoints_it + 1
             i_last  = i_first + gbx%Npoints_it - 1
@@ -409,7 +409,7 @@
         
         ! Precipitation fraction
-        do j=1,Npoints,1
-        do k=1,Nlevels,1
-            do i=1,Ncolumns,1
+        DO j=1,Npoints,1
+        DO k=1,Nlevels,1
+            DO i=1,Ncolumns,1
                 if (sgx%frac_out (j,i,Nlevels+1-k) == I_LSC) frac_ls(j,k)=frac_ls(j,k)+1.
                 if (sgx%frac_out (j,i,Nlevels+1-k) == I_CVC) frac_cv(j,k)=frac_cv(j,k)+1.
@@ -434,5 +434,5 @@
         else
             ! This is done within a loop (unvectorized) over nPoints to save memory
-            do j=1,Npoints
+            DO j=1,Npoints
                 sgx%frac_out(j,:,1:Nlevels)  = sgx%frac_out(j,:,Nlevels:1:-1)
                 sgx%prec_frac(j,:,1:Nlevels) = sgx%prec_frac(j,:,Nlevels:1:-1)
@@ -445,5 +445,5 @@
         ! Populate the subgrid arrays
         call construct_cosp_sghydro(Npoints,Ncolumns,Nlevels,Nhydro,sghydro)
-        do k=1,Ncolumns
+        DO k=1,Ncolumns
             !--------- Mixing ratios for clouds and Reff for Clouds and precip -------
             column_frac_out => sgx%frac_out(:,k,:)
@@ -498,6 +498,6 @@
         enddo
         ! convert the mixing ratio and precipitation flux from gridbox mean to the fraction-based values
-        do k=1,Nlevels
-            do j=1,Npoints
+        DO k=1,Nlevels
+            DO j=1,Npoints
                 !--------- Clouds -------
                 if (frac_ls(j,k) .ne. 0.) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_constants.F90	(revision 5158)
@@ -164,5 +164,5 @@
     integer :: HCLASS_TYPE(N_HYDRO),HCLASS_PHASE(N_HYDRO)
 
-    real :: HCLASS_DMIN(N_HYDRO),HCLASS_DMAX(N_HYDRO), &
+    REAL :: HCLASS_DMIN(N_HYDRO),HCLASS_DMAX(N_HYDRO), &
             HCLASS_APM(N_HYDRO),HCLASS_BPM(N_HYDRO),HCLASS_RHO(N_HYDRO), &
             HCLASS_P1(N_HYDRO),HCLASS_P2(N_HYDRO),HCLASS_P3(N_HYDRO)
@@ -274,5 +274,5 @@
     integer :: HCLASS_TYPE(N_HYDRO),HCLASS_PHASE(N_HYDRO) 
 
-    real :: HCLASS_DMIN(N_HYDRO),HCLASS_DMAX(N_HYDRO), &           
+    REAL :: HCLASS_DMIN(N_HYDRO),HCLASS_DMAX(N_HYDRO), &
             HCLASS_APM(N_HYDRO),HCLASS_BPM(N_HYDRO),HCLASS_RHO(N_HYDRO), &
             HCLASS_P1(N_HYDRO),HCLASS_P2(N_HYDRO),HCLASS_P3(N_HYDRO)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_isccp_simulator.F90	(revision 5158)
@@ -45,15 +45,15 @@
   ! Local variables 
   integer :: Nlevels,Npoints
-  real :: pfull(gbx%Npoints, gbx%Nlevels)
-  real :: phalf(gbx%Npoints, gbx%Nlevels + 1)
-  real :: qv(gbx%Npoints, gbx%Nlevels)
-  real :: cc(gbx%Npoints, gbx%Nlevels)
-  real :: conv(gbx%Npoints, gbx%Nlevels)
-  real :: dtau_s(gbx%Npoints, gbx%Nlevels)
-  real :: dtau_c(gbx%Npoints, gbx%Nlevels)
-  real :: at(gbx%Npoints, gbx%Nlevels)
-  real :: dem_s(gbx%Npoints, gbx%Nlevels)
-  real :: dem_c(gbx%Npoints, gbx%Nlevels)
-  real :: frac_out(gbx%Npoints, gbx%Ncolumns, gbx%Nlevels)
+  REAL :: pfull(gbx%Npoints, gbx%Nlevels)
+  REAL :: phalf(gbx%Npoints, gbx%Nlevels + 1)
+  REAL :: qv(gbx%Npoints, gbx%Nlevels)
+  REAL :: cc(gbx%Npoints, gbx%Nlevels)
+  REAL :: conv(gbx%Npoints, gbx%Nlevels)
+  REAL :: dtau_s(gbx%Npoints, gbx%Nlevels)
+  REAL :: dtau_c(gbx%Npoints, gbx%Nlevels)
+  REAL :: at(gbx%Npoints, gbx%Nlevels)
+  REAL :: dem_s(gbx%Npoints, gbx%Nlevels)
+  REAL :: dem_c(gbx%Npoints, gbx%Nlevels)
+  REAL :: frac_out(gbx%Npoints, gbx%Ncolumns, gbx%Nlevels)
   integer :: sunlit(gbx%Npoints)
   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_lidar.F90	(revision 5158)
@@ -54,5 +54,5 @@
   ! Local variables 
   integer :: i
-  real :: presf(sgx%Npoints, sgx%Nlevels + 1)
+  REAL :: presf(sgx%Npoints, sgx%Nlevels + 1)
   real,dimension(sgx%Npoints, sgx%Nlevels) :: lsca,mr_ll,mr_li,mr_cl,mr_ci
   real,dimension(sgx%Npoints, sgx%Nlevels) :: beta_tot,tau_tot
@@ -63,5 +63,5 @@
   presf(:,sgx%Nlevels + 1) = 0.0
   lsca = gbx%tca-gbx%cca
-  do i=1,sgx%Ncolumns
+  DO i=1,sgx%Ncolumns
       ! Temporary arrays for simulator call
       mr_ll(:,:) = sghydro%mr_hydro(:,i,:,I_LSCLIQ)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_misr_simulator.F90	(revision 5158)
@@ -49,11 +49,11 @@
   ! Local variables 
   integer :: Nlevels,Npoints
-  real :: dtau_s(gbx%Npoints, gbx%Nlevels)
-  real :: dtau_c(gbx%Npoints, gbx%Nlevels)
-  real :: at(gbx%Npoints, gbx%Nlevels)
-  real :: frac_out(gbx%Npoints, gbx%Ncolumns, gbx%Nlevels)
+  REAL :: dtau_s(gbx%Npoints, gbx%Nlevels)
+  REAL :: dtau_c(gbx%Npoints, gbx%Nlevels)
+  REAL :: at(gbx%Npoints, gbx%Nlevels)
+  REAL :: frac_out(gbx%Npoints, gbx%Ncolumns, gbx%Nlevels)
   integer :: sunlit(gbx%Npoints)
   
-  real :: zfull(gbx%Npoints, gbx%Nlevels) !  height (in meters) of full model levels (i.e. midpoints)
+  REAL :: zfull(gbx%Npoints, gbx%Nlevels) !  height (in meters) of full model levels (i.e. midpoints)
                                           !  zfull(npoints,1)    is    top level of model
                                           !  zfull(npoints,nlev) is bottom level of model
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5158)
@@ -162,7 +162,7 @@
 
       ! Loop version of spread above - intrinsic doesn't work on certain platforms. 
-      do k = 1, nLevels
-        do j = 1, nSubCols
-          do i = 1, nSunlit
+      DO k = 1, nLevels
+        DO j = 1, nSubCols
+          DO i = 1, nSunlit
             if(subCols%frac_out(sunlit(i), j, k) == I_LSC) then
               opticalThickness(i, j, k) = gridBox%dtau_s(sunlit(i), k)
@@ -186,7 +186,7 @@
 
       ! Loop version of spread above - intrinsic doesn't work on certain platforms. 
-      do k = 1, nLevels
-        do j = 1, nSubCols
-          do i = 1, nSunlit
+      DO k = 1, nLevels
+        DO j = 1, nSubCols
+          DO i = 1, nSunlit
             if(subCols%frac_out(sunlit(i), j, k) == I_CVC) opticalThickness(i, j, k) = gridBox%dtau_c(sunlit(i), k)
           end do 
@@ -205,5 +205,5 @@
       isccpCloudTopPressure(:, :) = isccpSim%boxptop(sunlit(:), :)
       
-      do i = 1, nSunlit
+      DO i = 1, nSunlit
         call modis_L2_simulator(temperature(i, :), pressureLayers(i, :), pressureLevels(i, :),     &
                                 opticalThickness(i, :, :), cloudWater(i, :, :), cloudIce(i, :, :), &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5158)
@@ -139,20 +139,20 @@
 
   ! set flag denoting position of radar relative to hgt_matrix orientation
-	  ngate = size(hgt_matrix,2)
+      ngate = size(hgt_matrix,2)
 
-	  hgt_descending = hgt_matrix(1,1) > hgt_matrix(1,ngate)
+      hgt_descending = hgt_matrix(1,1) > hgt_matrix(1,ngate)
 
-	  if ( &
-	     (gbx%surface_radar == 1 .and. hgt_descending) .or.  &
-	     (gbx%surface_radar == 0 .and. (.not. hgt_descending)) &
-	     ) &
-	  then
-	    gbx%hp%radar_at_layer_one = .false.
-	  else
-	    gbx%hp%radar_at_layer_one = .true.
-	  endif
+      if ( &
+         (gbx%surface_radar == 1 .and. hgt_descending) .or.  &
+         (gbx%surface_radar == 0 .and. (.not. hgt_descending)) &
+         ) &
+      then
+        gbx%hp%radar_at_layer_one = .false.
+      else
+        gbx%hp%radar_at_layer_one = .true.
+      endif
 
   ! ----- loop over subcolumns -----
-  do pr=1,sgx%Ncolumns
+  DO pr=1,sgx%Ncolumns
 
       !  NOTE:
@@ -160,5 +160,5 @@
       !  only hydrometeor profiles will be different for each subgridbox
 
-         do i=1,gbx%Nhydro
+         DO i=1,gbx%Nhydro
             hm_matrix(i,:,:) = sghydro%mr_hydro(:,pr,:,i)*1000.0 ! Units from kg/kg to g/kg
             if (gbx%use_reff) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90	(revision 5158)
@@ -203,10 +203,10 @@
    logical :: lunits
    integer :: l
-   real :: w ! Weight
-   real :: dbb, dtb, dbt, dtt ! Distances between edges of both grids
+   REAL :: w ! Weight
+   REAL :: dbb, dtb, dbt, dtt ! Distances between edges of both grids
    integer :: Nw  ! Number of weights
-   real :: wt  ! Sum of weights
+   REAL :: wt  ! Sum of weights
    real,dimension(Nlevels) :: oldgrid_bot,oldgrid_top ! Lower and upper boundaries of model grid
-   real :: yp ! Local copy of y at a particular point.
+   REAL :: yp ! Local copy of y at a particular point.
               ! This allows for change of units.
 
@@ -216,5 +216,5 @@
    r = 0.0
 
-   do i=1,Npoints
+   DO i=1,Npoints
      ! Calculate tops and bottoms of new and old grids
      oldgrid_bot = zhalf(i,:)
@@ -223,9 +223,9 @@
      l = 0 ! Index of level in the old grid
      ! Loop over levels in the new grid
-     do k = 1,Nglevels
+     DO k = 1,Nglevels
        Nw = 0 ! Number of weigths
        wt = 0.0 ! Sum of weights
        ! Loop over levels in the old grid and accumulate total for weighted average
-       do
+       DO
          l = l + 1
          w = 0.0 ! Initialise weight to 0
@@ -254,5 +254,5 @@
              Nw = Nw + 1
              wt = wt + w
-             do j=1,Ncolumns
+             DO j=1,Ncolumns
                if (lunits) then
                  if (y(i,j,l) /= R_UNDEF) then
@@ -273,5 +273,5 @@
        ! Calculate average in new grid
        if (Nw > 0) then
-         do j=1,Ncolumns
+         DO j=1,Ncolumns
            r(i,j,k) = r(i,j,k)/wt
          enddo
@@ -281,7 +281,7 @@
 
    ! Set points under surface to R_UNDEF, and change to dBZ if necessary
-   do k=1,Nglevels
-     do j=1,Ncolumns
-       do i=1,Npoints
+   DO k=1,Nglevels
+     DO j=1,Ncolumns
+       DO i=1,Npoints
          if (newgrid_top(k) > zhalf(i,1)) then ! Level above model bottom level
            if (lunits) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5158)
@@ -44,5 +44,5 @@
                 Lclcalipsoliq,Lclcalipsoice,Lclcalipsoun, &
                 Lclcalipsotmp,Lclcalipsotmpliq,Lclcalipsotmpice,Lclcalipsotmpun, &
-	              Lcltcalipsoliq,Lcltcalipsoice,Lcltcalipsoun, &
+                  Lcltcalipsoliq,Lcltcalipsoice,Lcltcalipsoun, &
                 Lclhcalipsoliq,Lclhcalipsoice,Lclhcalipsoun, &
                 Lclmcalipsoliq,Lclmcalipsoice,Lclmcalipsoun, &
@@ -274,5 +274,5 @@
     
     ! Radar ancillary info
-    real :: radar_freq, & ! Radar frequency [GHz]
+    REAL :: radar_freq, & ! Radar frequency [GHz]
             k2 ! |K|^2, -1=use frequency dependent default
     integer :: surface_radar, & ! surface=1, spaceborne=0
@@ -383,5 +383,5 @@
                                  ! 2 = experimental setting  
     integer :: isccp_overlap !  overlap type (1=max, 2=rand, 3=max/rand)
-    real :: isccp_emsfc_lw      ! 10.5 micron emissivity of surface (fraction)
+    REAL :: isccp_emsfc_lw      ! 10.5 micron emissivity of surface (fraction)
   
     ! RTTOV inputs/options
@@ -392,6 +392,6 @@
     integer, dimension(:), pointer :: Ichan   ! Channel numbers
     real,    dimension(:), pointer :: Surfem  ! Surface emissivity
-    real    :: ZenAng ! Satellite Zenith Angles
-    real :: co2,ch4,n2o,co ! Mixing ratios of trace gases
+    REAL    :: ZenAng ! Satellite Zenith Angles
+    REAL :: co2,ch4,n2o,co ! Mixing ratios of trace gases
 
   END TYPE COSP_GRIDBOX
@@ -550,5 +550,5 @@
     ! Local variables
     integer :: i
-    real :: zstep
+    REAL :: zstep
     
     x%use_vgrid  = use_vgrid
@@ -587,5 +587,5 @@
          zstep = 20000.0/x%Nlvgrid
       endif
-      do i=1,x%Nlvgrid
+      DO i=1,x%Nlvgrid
          x%zl(i) = (i-1)*zstep
          x%zu(i) = i*zstep
@@ -654,6 +654,6 @@
     x%tau_tot    = 0.0
     x%refl       = 0.0 ! parasol
-    x%temp_tot   	= 0.0
-    x%betaperp_tot 	= 0.0	
+    x%temp_tot       = 0.0
+    x%betaperp_tot     = 0.0
   END SUBROUTINE CONSTRUCT_COSP_SGLIDAR
 
@@ -1204,7 +1204,7 @@
     ! y%hp%idd     = x%hp%idd
     sz = shape(x%hp%Z_scale_flag)
-    do k=1,sz(3)
-      do j=1,sz(2)
-        do i=1,sz(1)
+    DO k=1,sz(3)
+      DO j=1,sz(2)
+        DO i=1,sz(1)
            if (x%hp%N_scale_flag(i,k))   y%hp%N_scale_flag(i,k)      = .true.
            if (x%hp%Z_scale_flag(i,j,k)) y%hp%Z_scale_flag(i,j,k)    = .true.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5158)
@@ -58,6 +58,6 @@
     ! Local variables
     integer :: i,j,k
-    real :: sigma,one_over_xip1,xi,rho0,rho,lambda_x,gamma_4_3_2,delta
-    real :: seuil 
+    REAL :: sigma,one_over_xip1,xi,rho0,rho,lambda_x,gamma_4_3_2,delta
+    REAL :: seuil
 
     if (ok_debug_cosp) then
@@ -77,7 +77,7 @@
         delta = (alpha_x + b_x + d_x - n_bx + 1.0)
         
-        do k=1,Nlevels
-            do j=1,Ncolumns
-                do i=1,Npoints
+        DO k=1,Nlevels
+            DO j=1,Ncolumns
+                DO i=1,Npoints
                     if ((prec_frac(i,j,k)==prec_type).or.(prec_frac(i,j,k)==3.)) then
                         rho = p(i,k)/(287.05*T(i,k))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5158)
@@ -67,7 +67,7 @@
    ! Valid x values smaller than bmin and larger than bmax are set 
    ! into the smallest bin and largest bin, respectively.
-   do j = 1, Nlevels, 1
-      do k = 1, Ncolumns, 1
-         do i = 1, Npoints, 1
+   DO j = 1, Nlevels, 1
+      DO k = 1, Ncolumns, 1
+         DO i = 1, Npoints, 1
             if (x(i,k,j) == R_GROUND) then
                cosp_cfad(i,:,j) = R_UNDEF
@@ -101,6 +101,6 @@
 
    ! local variables
-   real :: sc_ratio
-   real :: s_cld, s_att
+   REAL :: sc_ratio
+   REAL :: s_cld, s_att
    parameter (S_cld = 5.0)
    parameter (s_att = 0.01)
@@ -111,9 +111,9 @@
    lidar_only_freq_cloud = 0.0
    tcc = 0.0
-   do pr=1,Npoints
-     do i=1,Ncolumns
+   DO pr=1,Npoints
+     DO i=1,Ncolumns
        flag_sat = 0
        flag_cld = 0
-       do j=Nlevels,1,-1 !top->surf
+       DO j=Nlevels,1,-1 !top->surf
         sc_ratio = beta_tot(pr,i,j)/beta_mol(pr,j)
         if ((sc_ratio .le. s_att) .and. (flag_sat .eq. 0)) flag_sat = j
